#
# spec file for package w3m (Version 0.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         w3m
Version:      0.2.1
Release:      113
Summary:      Text based WWW browser
Copyright:    Akinori Ito <aito@ei5sun.yz.yamagata-u.ac.jp>; (gc-lib) Copyright 1988, 1989 Hans-J. Boehm, Alan J. Demers; Copyright (c) 1991-1996 by Xerox Corporation.  All rights reserved.  Copyright (c) 1996-1998 by Silicon Graphics.  All rights reserved.
Group:        Applications/Networking
Provides:     w3m_ssl web_browser
Obsoletes:    w3m_ssl
Autoreqprov:  on
Source:       w3m-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
## replace ancient version 5.1 of the Boehm-Weiser garbage collector 
## with a more current one that knows about new architectures like IA64 
Source1:      gc-6.0alpha6.tar.bz2
## fix from Thorsten (recognize sparc correctly)
Patch1:       w3m-0.2.1-sparc.dif
## fix double definition of CMT_SSL_FORBID_METHOD:
Patch2:       w3m-0.2.1-rc_ssl.patch
## fix a problem with relative URLs (see comments in the patch):
Patch3:       w3m-0.2.1-relURL.patch
## fix problem with pages containing javascript being not displayed:
Patch4:       w3m-0.2.1-javascript.dif
## fix possible buffer overrun in mime header decoder [w3m-dev 02066]:
Patch5:       w3m-0.2.1-mimehead-buf.dif
## allow key mappings with a count:
Patch6:       w3m-0.2.1-keymap.count.dif
## hide javascript statements also if they are inside table tags
Patch7:       w3m-0.2.1-javascript-hide.dif
## Soudtrack: http://216.32.166.82:10662/

%description
w3m is a pager/text-based WWW browser. It is a similar application to
Lynx, but it has several features Lynx doesn't have:
* w3m can render tables
* w3m can render frames (it converts the frames into a table)
* SSL support
* w3m can display documents given from standard input easily
* w3m can handle cookies
* w3m is small
* and you can use the mouse
And when started as w3mj, it's in Japanese.

Authors:
--------
    Akinori Ito <aito@ei5sun.yz.yamagata-u.ac.jp>
    Hans-J. Boehm <boehm@acm.org>
    many other contributors, see /usr/share/doc/packages/w3m/gc/README

SuSE series: n

%prep
%setup -n w3m-%{version}
%patch2 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
## use newer gc version on these architectures 
%ifarch ia64 sparc sparc64 s390
  cp %{SOURCE1} .
  rm -rf gc
  tar xIf %{SOURCE1}
%endif
## update autotools and libtool
DIR=$(find . -name configure -printf "%h\n")
%{?suse_update_config:%{suse_update_config -f $DIR }}
%ifarch sparc sparc64
%patch1
%endif

%build
## build japanese binary first
(
  /bin/echo /usr/bin
  /bin/echo /usr/lib/w3m
  /bin/echo %{_defaultdocdir}/w3m
  /bin/echo 1 ; # 1 = Japanese
  /bin/echo E ; # character set
  /bin/echo y ; # lynx-like key binding
  /bin/echo y ; # 2-byte character
  /bin/echo y ; # generate domain parts of passwords for anonymous FTP
  /bin/echo y ; # listing of options
  /bin/echo n ; # NNTP support
  /bin/echo y ; # ANSI color escape sequences support (new)
  /bin/echo 5 ; # monster model
  /bin/echo y ; # SSL support
  /bin/echo /usr/bin/vim
  /bin/echo /usr/bin/mutt
#  /bin/echo /opt/kde2/bin/konqueror ; # external browser
  /bin/echo /usr/X11R6/bin/netscape ; # external browser
  /bin/echo gcc
  /bin/echo -O		; # compiler flags
  /bin/echo -lncurses	; # terminal library
  /bin/echo		; # optional ld flags
) | ./configure
%ifarch sparc sparc64
  ## struct sockaddr_storage seems to have no member ss_family on sparc
  sed '/define INET6/d' config.h > config.h.new
  mv config.h.new config.h
%endif
%ifarch sparc sparc64 ia64
  ## correct the include path for garbage collector (it's a hack...)
  sed 's+\(-I./gc/include\)+\1 -I./include +' config.h > config.h.new
  mv config.h.new config.h
%endif
make
mv w3m w3mj
make clean
## then english 
(
  /bin/echo /usr/bin
  /bin/echo /usr/lib/w3m
  /bin/echo %{_defaultdocdir}/w3m
  /bin/echo 2 ; # 2 = English
  /bin/echo y
  /bin/echo y
  /bin/echo y
  /bin/echo n
  /bin/echo y ; # ANSI color escape sequences support (new)
  /bin/echo 5
  /bin/echo y
  /bin/echo /usr/bin/vim
  /bin/echo /usr/bin/mutt
#  /bin/echo /opt/kde2/bin/konqueror
  /bin/echo /usr/X11R6/bin/netscape
  /bin/echo gcc
  /bin/echo -O
  /bin/echo -lncurses
  /bin/echo 
) | ./configure
%ifarch sparc sparc64
  ## struct sockaddr_storage seems to have no member ss_family on sparc
  sed '/define INET6/d' config.h > config.h.new
  mv config.h.new config.h
%endif
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/doc/ 
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/gc/
MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT make install
install -m 755 w3mj $RPM_BUILD_ROOT/usr/bin
install -m 644	doc/w3m.1			$RPM_BUILD_ROOT/%{_mandir}/man1/
rm -rf doc/CVS
install -m 644	doc/*				$RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/doc/
rm $RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/doc/w3m.1
%ifarch ia64 sparc sparc64 s390
  install -m 644	gc/doc/README{,.linux}	$RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/gc/
%else
  install -m 644	gc/README{,.linux}		$RPM_BUILD_ROOT/%{_defaultdocdir}/w3m/gc/
%endif

%files
/usr/bin/w3m
/usr/bin/w3mj
/usr/lib/w3m/
%doc %{_mandir}/man1/w3m.1.gz
%docdir %{_defaultdocdir}/w3m
%doc %{_defaultdocdir}/w3m/*

%changelog -n w3m
* Tue Aug 28 2001 - poeml@suse.de
- add w3m-0.2.1-javascript-hide.dif from author to hide javascript
  statements even if they are inside table tags
- apply forgotten relURL patch
* Thu Jun 28 2001 - poeml@suse.de
- security fix: w3m-0.2.1-mimehead-buf.dif to prevent possible
  buffer overflow when parsing malformed URLs
- add patch that allows key mappings with a count
- spec file cleanup
* Wed Apr 04 2001 - poeml@suse.de
- add patch to help with pages containing javascript
* Wed Apr 04 2001 - poeml@suse.de
- update to w3m-0.2.1
- as before, use a newer gc on ia64 and sparc
- fix include path for gc on ia64 and sparc
- undefine INET6 on sparc: struct sockaddr_storage seems to have no
  member ss_family
- fix double declaration of CMT_SSL_FORBID_METHOD
- add patch for problems caused by misunderstanding of relative
  URLs
- fix Version tag (was a macro)
* Mon Feb 19 2001 - poeml@suse.de
- update to 0.1.11-pre (which is actually more stable than 0.1.10)
- apply massive kokb23 patch collection
- add patch for lynx-like pauth option
- drop norman.patch
- add newer gc (6.0alpha6) for ia64 and sparc that works with
  glibc-2.2.1
- update autoconf and libtool on these archs
* Wed Jan 31 2001 - poeml@suse.de
- add a version 5.1 of gc (Boehm-Weiser garbage collector) which is
  patched for ia64 ( http://www.cs.berkeley.edu/projects/
  titanium/src/titaniumc/runtime/gc/ ).
  don't use GC_push_other_roots() for some reason -> gc-5.1.patch
* Tue Jan 09 2001 - poeml@suse.de
- removed duplicate man page in %%{_defaultdocdir}/w3m/doc/
* Wed Dec 20 2000 - poeml@suse.de
- add web_browser to Provides (in sync with lynx and links)
* Mon Dec 18 2000 - poeml@suse.de
- merged w3m and w3m_ssl
- added openssl to neededforbuild
- bzipped sources
* Wed Dec 06 2000 - poeml@suse.de
- added japanese binary
* Fri Oct 13 2000 - poeml@suse.de
- update to 0.1.10
- patch for perl path no longer necessary (now done by ./configure)
- fix missing ifdef JP_CHARSET
- readjust spec file to new option in ./configure
- compile with lynx-like key binding
* Sat Sep 09 2000 - bjacke@suse.de
- added Excludes with w3m_ssl
* Mon May 15 2000 - kukuk@suse.de
- Update to 0.1.9 (works on SPARC)
- Use /bin/vi for 7.0
- Fix defines on SPARC
- Fix spec file
- Add installed scripts to filelist
* Sun Feb 13 2000 - mge@suse.de
- update to 0.1.6
- group tag
* Tue Oct 26 1999 - mge@suse.de
- initial SuSE-RPM
